﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Citrix.XaAdminMobile.Model
{
    /// <summary>
    /// This interface is used as the source to access all our model objects. All model objects
    /// are accessed via interfaces to facilitate unit testing.
    /// </summary>
    internal interface IModelBase : IDisposable
    {
        /// <summary>
        /// Gets the session model object provider.
        /// </summary>
        ISessionsModel Sessions { get; }

        /// <summary>
        /// Gets the model object for configuring the XenApp server we talk to.
        /// </summary>
        IServerConfigModel ServerConfig { get; }

        /// <summary>
        /// Gets the model object for querying XenApp server state.
        /// </summary>
        IServersModel Servers { get; }
    }
}
