﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Citrix.XaAdminMobile.Model.Test
{
    /// <summary>
    /// Represents a single XenApp server.
    /// </summary>
    internal class TestServerModel : IServerModel
    {
        /// <summary>
        /// Default ctor - initialises the common state with some sensible test state.
        /// </summary>
        internal TestServerModel()
        {
            this.LogonsEnabled = true;
            this.LogonMode = XenApp.Commands.LogOnMode.AllowLogOns;
            this.PowerCapManagementMode = XenApp.Commands.PcmMode.Normal;
            this.CitrixProductName = "Citrix Presentation Server";
            this.CitrixVersion = new Version(6, 5, 6682);
            this.CitrixServicePack = "0";
            this.CitrixProductEdition = XenApp.Commands.ProductEdition.Platinum;
            this.CitrixInstallPath = @"C:\Program Files (x86)\Citrix\";
            this.CitrixInstallDate = new DateTime(2011, 8, 9, 11, 08, 42);
            this.OsVersion = new Version(6, 1, 7601);
            this.OsServicePack = "Service Pack 1";
            this.Is64Bit = true;
            this.LicenseServerName = "xenapplic.test.net";
            this.LicenseServerPort = 27000;
            this.ZoneName = "Default Zone";
            this.ZoneElectionPreference = XenApp.Commands.ZoneElectionPreference.DefaultPreference;
        }

        public DateTime? CitrixInstallDate
        {
            get;
            set;
        }

        public string CitrixInstallPath
        {
            get;
            set;
        }

        public XenApp.Commands.ProductEdition? CitrixProductEdition
        {
            get;
            set;
        }

        public string CitrixProductName
        {
            get;
            set;
        }

        public string CitrixServicePack
        {
            get;
            set;
        }

        public Version CitrixVersion
        {
            get;
            set;
        }

        public bool? Is64Bit
        {
            get;
            set;
        }

        public int? IcaPortNumber
        {
            get;
            set;
        }

        public string[] IPAddresses
        {
            get;
            set;
        }

        public bool? IsSpoolerHealthy
        {
            get;
            set;
        }

        public string LicenseServerName
        {
            get;
            set;
        }

        public int? LicenseServerPort
        {
            get;
            set;
        }

        public uint Load
        {
            get;
            set;
        }

        public bool? LogonsEnabled
        {
            get;
            set;
        }

        public XenApp.Commands.LogOnMode LogonMode
        {
            get;
            set;
        }

        public string Name
        {
            get;
            set;
        }

        public string OsServicePack
        {
            get;
            set;
        }

        public Version OsVersion
        {
            get;
            set;
        }

        public XenApp.Commands.PcmMode PowerCapManagementMode
        {
            get;
            set;
        }

        public int? RdpPortNumber
        {
            get;
            set;
        }

        public int? SessionCount
        {
            get;
            set;
        }

        public XenApp.Commands.ZoneElectionPreference ZoneElectionPreference
        {
            get;
            set;
        }

        public string ZoneName
        {
            get;
            set;
        }

        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
    }
}
