﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Citrix.XenApp.Commands;

namespace Citrix.XaAdminMobile.Model.Test
{
    class TestSessionModel : ISessionModel
    {
        public TestSessionModel()
        {
            this.SessionActionStatus = Model.SessionActionStatus.None;
            this.State = SessionConnectionState.Disconnected;
        }

        public string AccountName
        {
            get;
            set;
        }

        public string BrowserName
        {
            get;
            set;
        }

        public string ServerName
        {
            get;
            set;
        }

        public int? SessionId
        {
            get;
            set;
        }

        public SessionActionStatus SessionActionStatus
        {
            get;
            set;
        }

        public SessionConnectionState State
        {
            get;
            set;
        }

        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;


        public bool IsFullStateLoaded
        {
            get { return false; }
        }

        public void Refresh(bool loadFullState)
        {
        }

        public string ClientName
        {
            get { return null; }
        }

        public ColorDepth ColorDepth
        {
            get { return XenApp.Commands.ColorDepth.Unknown; }
        }

        public DateTime? ConnectTime
        {
            get { return null; }
        }

        public DateTime? DisconnectTime
        {
            get { return null; }
        }

        public DateTime? LogOnTime
        {
            get { return null; }
        }

        public string AccessSessionGuid
        {
            get { return null; }
        }

        public SessionApplicationState? ApplicationState
        {
            get { return null; }
        }

        public string ClientAddress
        {
            get { return null; }
        }

        public string ClientBuffers
        {
            get { return null; }
        }

        public int? ClientBuildNumber
        {
            get { return 0; }
        }

        public uint? ClientCacheDisk
        {
            get { return null; }
        }

        public uint? ClientCacheLow
        {
            get { return null; }
        }

        public uint? ClientCacheMinBitmapSize
        {
            get { return null; }
        }

        public uint? ClientCacheSize
        {
            get { return null; }
        }

        public uint? ClientCacheTiny
        {
            get { return null; }
        }

        public uint? ClientCacheXms
        {
            get { return null; }
        }

        public string ClientDirectory
        {
            get { return null; }
        }

        public uint? ClientId
        {
            get { return null; }
        }

        public string ClientIPV4
        {
            get { return null; }
        }

        public int? ClientProductId
        {
            get { return null; }
        }

        public string ClientType
        {
            get { return null; }
        }


        public DateTime? CurrentTime
        {
            get { return null; }
        }

        public bool? DirectXEnabled
        {
            get { return null; }
        }

        public EncryptionLevel EncryptionLevel
        {
            get { return XenApp.Commands.EncryptionLevel.Unknown; }
        }


        public bool? FlashEnabled
        {
            get { return null; }
        }

        public int? HorizontalResolution
        {
            get { return null; }
        }

        public DateTime? LastInputTime
        {
            get { return null; }
        }

        public SessionProtocolType? Protocol
        {
            get { return null; }
        }

        public string ServerBuffers
        {
            get { return null; }
        }

        public string SessionName
        {
            get { return null; }
        }

        public bool? UsbEnabled
        {
            get { return null; }
        }

        public int? VerticalResolution
        {
            get { return null; }
        }

        public string VirtualIP
        {
            get { return null; }
        }

        public bool? WmpEnabled
        {
            get { return null; }
        }

        public ISessionsModel Parent
        {
            get { throw new NotImplementedException(); }
        }


        public bool IsLoading
        {
            get { return false; }
        }
    }
}
