﻿using System.Windows;

namespace Citrix.XaAdminMobile.ViewModel
{
    /// <summary>
    /// For displaying message text on a popup.
    /// </summary>
    internal class PopupMessageViewModel
    {
        public const double DefaultFontSize = 18;

        /// <summary>
        /// Initialisation ctor.
        /// </summary>
        /// <param name="message">The message</param>
        public PopupMessageViewModel(string message)
        {
            this.Message = message;
            this.FontSize = DefaultFontSize;
            this.Alignment = TextAlignment.Center;
            this.FontWeight = FontWeights.Bold;
        }

        /// <summary>
        /// The message text.
        /// </summary>
        public string Message
        {
            get;
            private set;
        }

        /// <summary>
        /// Message font weight, defaults to bold. Use FontWeights.XXX to set.
        /// </summary>
        public FontWeight FontWeight
        {
            get;
            set;
        }

        /// <summary>
        /// Message text alignment, defaults to centered.
        /// </summary>
        public TextAlignment Alignment
        {
            get;
            set;
        }

        /// <summary>
        /// Message font size, defaults to 14.
        /// </summary>
        public double FontSize
        {
            get;
            set;
        }
    }
}
