﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;
using Citrix.Cmp;

namespace Citrix.XaAdminMobile.ViewModel
{
    /// <summary>
    /// Used as a unique identifying type in lists to show a special search trigger entry in
    /// the list. Tapping on this search item places that list into search mode.
    /// </summary>
    internal class SearchTriggerViewModel
    {
        /// <summary>
        /// Ctor
        /// </summary>
        /// <param name="activateCommand">The command to execute to trigger search mode.</param>
        public SearchTriggerViewModel(DelegateCommand activateCommand)
        {
            this.ActivateCommand = activateCommand;
        }

        /// <summary>
        /// The command to execute when the user taps on the search trigger item on the view.
        /// </summary>
        public ICommand ActivateCommand
        {
            get;
            private set;
        }
    }
}
