﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Citrix.XaAdminMobile.ViewModel
{
    /// <summary>
    /// Used to display a single XenApp server on the settings page.
    /// </summary>
    internal class ServerItemViewModel
    {
        /// <summary>
        /// Ctor
        /// </summary>
        /// <param name="name">The server name.</param>
        /// <exception cref="ArgumentNullException">Thrown if name is null/empty.</exception>
        public ServerItemViewModel(string name)
        {
            if (string.IsNullOrEmpty(name))
            {
                throw new ArgumentNullException("name");
            }

            this.Name = name;
        }

        /// <summary>
        /// The name of the server.
        /// </summary>
        public string Name
        {
            get;
            private set;
        }
    }
}
