﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Citrix.XaAdminMobile.ViewModel
{
    /// <summary>
    /// The search options when performing a session search. Defines which fields will get
    /// searched.
    /// </summary>
    [Flags]
    enum SessionSearchOptions
    {
        None = 0,

        /// <summary>
        /// Search just the user name.
        /// </summary>
        User = 1,

        /// <summary>
        /// Search on app name.
        /// </summary>
        App = 2,

        /// <summary>
        /// Search on server name
        /// </summary>
        Server = 4,

        /// <summary>
        /// Search on all supported fields.
        /// </summary>
        All = User | App | Server
    }
}
